Bug 242438

Summary: deskutils/py-paperless: Assign to Django 2.2
Product: Ports & Packages Reporter: Kai Knoblich <kai>
Component: Individual Port(s)Assignee: Kai Knoblich <kai>
Status: Closed FIXED    
Severity: Affects Only Me CC: grembo, kai, ports, python
Priority: --- Flags: grembo: maintainer-feedback+
ports: maintainer-feedback+
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
py-paperless-move-to-django22.patch grembo: maintainer-approval+

Description Kai Knoblich freebsd_committer 2019-12-04 22:28:14 UTC
Created attachment 209706 [details]
py-paperless-move-to-django22.patch

Hi Michael,

attached is the patch that assigns deskutils/py-paperless from Django 2.1 (which is EoL since 2nd December 2019) to Django 2.2.

The following commands must be issued before the patch can be applied:

> svn move www/py-dj21-django-extensions www/py-dj22-django-extensions
> svn move www/py-dj21-djangoql www/py-dj22-djangoql

Here's a quick overview what the patch does:

- Change the RUN_DEPENDS accordingly to use www/py-django22 and the www/py-dj22-* ports.
- Rename and undeprecate www/py-dj21-django-extensions TO www/py-dj22-django-extensions (needs maintainer approval from ports <AT> caomhin.org)
- Do the same for www/py-dj21-djangoql
- Add related entries to MOVED and update the Makefile in www/ accordingly

QA:
~~~
- poudriere (11.3-, 12.0-, 12.1-RELEASE, 13.0-CURRENT@r354694 amd64 + i386) -> OK
- Runtime wasn't tested, yet
Comment 1 Kai Knoblich freebsd_committer 2019-12-04 22:29:31 UTC
Hi Kevin,

you're maintainer of the www/py-dj21-django-extensions port. Are you fine with it if I assign that port to Django 2.2 and rename it to www/py-dj22-django-extensions?
Comment 2 Kevin Golding 2019-12-05 08:36:53 UTC
No objection from me with django-extensions
Comment 3 Michael Gmelin freebsd_committer 2019-12-05 19:02:20 UTC
Looks good, builds and installs okay, manual tests in "production" worked okay too. Thanks for your work!
Comment 4 commit-hook freebsd_committer 2019-12-06 15:29:08 UTC
A commit references this bug:

Author: kai
Date: Fri Dec  6 15:28:55 UTC 2019
New revision: 519149
URL: https://svnweb.freebsd.org/changeset/ports/519149

Log:
  deskutils/py-paperless: Switch to Django 2.2

  * Assign the port to Django 2.2 as Django 2.1 has reached its End-of-Life on
    2nd December 2019.

  * Also switch www/py-dj21-djangoql to Django 2.2, remove the expiration date
    and rename it to www/py-dj22-djangoql accordingly.

    Do the same for www/py-dj21-django-extensions [1] as both ports are
    required by its only consumer deskutils/py-paperless and were originally
    created for this purpose.

  * Bump PORTREVISION due change of the dependencies.

  PR:		242438
  Approved by:	grembo (maintainer), Kevin Golding (maintainer) [1]

Changes:
  head/MOVED
  head/deskutils/py-paperless/Makefile
  head/deskutils/py-paperless/pkg-plist
  head/www/Makefile
  head/www/py-dj21-django-extensions/
  head/www/py-dj21-djangoql/
  head/www/py-dj22-django-extensions/
  head/www/py-dj22-django-extensions/Makefile
  head/www/py-dj22-djangoql/
  head/www/py-dj22-djangoql/Makefile
  head/www/py-django-extensions/Makefile
Comment 5 Kai Knoblich freebsd_committer 2019-12-06 17:00:30 UTC
(In reply to Kevin Golding from comment #2)
(In reply to Michael Gmelin from comment #3)

Committed, thank you both for the review and approval!